Skip to main content
GET
/
proposals
/
{proposal_id}
/
status
Get Proposal Status
curl --request GET \
  --url https://api.example.com/proposals/{proposal_id}/status \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "name": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "client_name": "<string>",
  "total": 123,
  "currency": "USD",
  "share_info": {}
}

Authorizations

X-API-Key
string
header
required

Path Parameters

proposal_id
string<uuid>
required

Response

Successful Response

Response with just proposal status - lightweight for polling.

id
string<uuid>
required
status
string
required
name
string
required
updated_at
string<date-time>
required
client_name
string | null
total
number | null
currency
string
default:USD
share_info
Share Info · object